HLIST_FOR_EACH_ENT(9)

NAME
hlist_for_each_entry - iterate over list of given type

SYNOPSIS

hlist_for_each_entry (tpos, pos, head, member);

ARGUMENTS

tpos
    the type * to use as a loop counter.

pos the &struct hlist_node to use as a loop counter.

head
    the head for your list.

member
    the name of the hlist_node within the struct.